package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.enums.CourseStatusEnum;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/9/23
 */
public class VipGroupAttendanceQueryInfo extends QueryInfo {

    private Long vipGroupId;

    private Date startTime;

    private Date endTime;

    @ApiModelProperty(value = "课程状态  NOT_START未开始，SIGN_IN已签到，SIGN_OUT已签退",required = false)
    private CourseStatusEnum status;

    private boolean complaintStatus;

    public Long getVipGroupId() {
        return vipGroupId;
    }

    public void setVipGroupId(Long vipGroupId) {
        this.vipGroupId = vipGroupId;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public CourseStatusEnum getStatus() {
        return status;
    }

    public void setStatus(CourseStatusEnum status) {
        this.status = status;
    }

    public boolean isComplaintStatus() {
        return complaintStatus;
    }

    public void setComplaintStatus(boolean complaintStatus) {
        this.complaintStatus = complaintStatus;
    }
}
